# Generated by Django 2.1.4 on 2019-01-14 04:27

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Right',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identifier', models.CharField(max_length=40, unique=True)),
                ('name', models.TextField(null=True)),
                ('description', models.TextField(null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identifier', models.CharField(max_length=40, unique=True)),
                ('name', models.TextField(null=True)),
                ('description', models.TextField(null=True)),
                ('rights', models.ManyToManyField(to='iam.Right')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identifier', models.CharField(max_length=40, unique=True)),
                ('name', models.TextField(null=True)),
                ('description', models.TextField(null=True)),
                ('rights', models.ManyToManyField(to='iam.Right')),
                ('roles', models.ManyToManyField(to='iam.Role')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
